#! /bin/sh

# Normal Package
PACKAGE=phonagen
VERSION=1.0

ARCHIVE_DIR=$PACKAGE-$VERSION

rm -rf $ARCHIVE_DIR
rm -f $ARCHIVE_DIR.zip
mkdir $ARCHIVE_DIR

cp {generate-example-set.sh,README.md,COPYING} $ARCHIVE_DIR
mkdir -p $ARCHIVE_DIR/web
cp web/{data.json,index.html,phonagen.css,phonagen.js} $ARCHIVE_DIR/web
cp -r examples $ARCHIVE_DIR
mkdir -p $ARCHIVE_DIR/py-phonagen
cp py-phonagen/*.py $ARCHIVE_DIR/py-phonagen

zip -r $ARCHIVE_DIR.zip $ARCHIVE_DIR

# Itch.io HTML5 game
ITCH_ARCHIVE_DIR=itch-$ARCHIVE_DIR

rm -rf $ITCH_ARCHIVE_DIR
rm -f $ITCH_ARCHIVE_DIR.zip
mkdir $ITCH_ARCHIVE_DIR
cp web/{index.html,phonagen.css,phonagen.js} $ITCH_ARCHIVE_DIR
./generate-example-set.sh
./py-phonagen/phonagen-merge.py web/*.json --output $ITCH_ARCHIVE_DIR/data.json
cd $ITCH_ARCHIVE_DIR
zip ../$ITCH_ARCHIVE_DIR.zip ./*
cd -
